<?php

namespace App\ViewModels\ProcedimentoValor\ProcedimentoValorUpdateViewModel;

use App\Utils\Builder;

class ProcedimentoValorUpdateViewModelBuilder implements Builder {
	protected $valor;
	protected $valor_interbo;
	protected $valor_repasse_medico;

	public function getValor() {

		return $this->valor;

	}

	public function setValor($valor) {

		$this->valor = $valor;
		return $this;

	}

	public function getValorInterno() {

		return $this->valor_interno;
		return $this;

	}

	public function setValorInterno($valorInterno) {

		$this->valor_interbo = $valorInterno;
		return $this;

	}

    /**
     * @return mixed
     */
    public function getValorRepasseMedico()
    {
        return $this->valor_repasse_medico;
    }

    /**
     * @param mixed $valor_repasse_medico
     * @return ProcedimentoValorUpdateViewModelBuilder
     */
    public function setValorRepasseMedico($valor_repasse_medico)
    {
        $this->valor_repasse_medico = $valor_repasse_medico;
        return $this;
    }


	public function build(): ProcedimentoValorUpdateViewModel {

		$procedimento_update_vm = new ProcedimentoValorUpdateViewModel();
		$procedimento_update_vm->setValor( $this->valor );
		$procedimento_update_vm->setValorInterno( $this->valor_interbo );
		$procedimento_update_vm->setValorRepasseMedico( $this->valor_repasse_medico );
		return $procedimento_update_vm;

	}

}